Class | Rubygame::Events::KeyPressed
In: | lib/rubygame/events/keyboard_events.rb
Parent: | Object

KeyPressed is an event class which occurs when a key on the keyboard is pressed down.

This class gains key and modifiers readers from the KeyboardEvent mixin module.

It also has string, which is a UTF8 string containing the text character that was generated by the keystroke; if nothing was generated, string will be the empty string, "".

The string attribute is useful for for taking text input (e.g. in a GUI). It supports UTF8 Unicode characters, and works correctly on many different types of keyboards.

### Methods

new

### Included Modules

KeyboardEvent

### Attributes

string | [R] |

### Public Class methods

new( key, modifiers=[], string="" )

Create a new KeyPressed instance.

key: | a key symbol for the key that was pressed or released. (Symbol, required)
modifiers: | an Array of key symbols for the modifier keys that were active when the event occured. (Array, optional)
string: | a String containing the text character that was generated by the keystroke, or "" if nothing was generated. (String, optional)

[Validate]